## libapreq2 2.12

=== debian/changelog ===
libapreq2 (2.12-2) unstable; urgency=medium

  * 03-link-in-apr-shared-objects.patch: New patch, fixes so APR shared
    objects are properly linked into the Perl modules. This makes it possible
    to load the modules (although still not instantiate Apache2::Request
    objects) from scripts that are not run under mod_perl.
    Fix from Damyan Ivanov. (Closes: #573062)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 26 May 2010 00:06:42 +0200

libapreq2 (2.12-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
    * Split the Debian diff into two separate patches, and remove spurious
      junk that shouldn't have been there.
    * In clean, remove some stray files distclean forgets.
  * Update debhelper compatibility level to 7.
    * Update debhelper build-dependency version.
    * Use dh_prep instead of dh_clean -k.
  * Update Standards-Version to 3.8.4.
    * Change from ${Source-Version} to ${binary:Version} in inter-package
      dependencies.
    * In debian/copyright, refer to the Apache 2.0 license file from
      common-licenses instead of having the entire license text in the file.
      Also include the actual copyright in the file.
  * Put all binary packages in their correct respective sections.
  * Add ${misc:Depends} to all binary packages, and remove ${shlibs:Depends}
    from the -dev and -doc packages (which don't have any shared libraries).
  * Run dh_shlibdeps on all packages, using the -a flag.
  * Don't ignore errors on distclean; check for Makefile instead.
  * Don't use full path to a2dismod in libapache2-mod-apreq2.postrm.
  * Run libapache2-mod-apreq2.postrm script under sh -e, so errors are not
    ignored.
  * Install the man pages that used to conflict with libapache-request-perl,
    which is now not in the stable release anymore.
  * Don't set PREFIX= at make install time; only set prefix=.
    Seemingly, PREFIX= has no real effect at that point.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 28 Feb 2010 15:51:47 +0100

libapreq2 (2.08-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: change dh_* order so that dh_installdeb is not invoked
    too early and avoid including ldconfig in postinst (Closes: #553124)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 14 Nov 2009 18:23:42 +0100

libapreq2 (2.08-5) unstable; urgency=low

  * Update config.{sub,guess} with latest versions from autotools-dev; fixes
    FTBFS on GNU/kFreeBSD. (Closes: #401751) 

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 19 May 2007 02:09:12 +0200

libapreq2 (2.08-4) unstable; urgency=medium

  * Fix typo; libapreq2 recommended libapreq2-mod-apreq2, which is obviously
    wrong. Change to libapache2-mod-apreq2.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 31 Oct 2006 02:40:32 +0100

libapreq2 (2.08-3) unstable; urgency=high

  * urgency=high to get the package into testing in time for the
    Apache 2.2 transition.
  * Update dependency from libapreq2-dev on libapr0-dev to libapr1-dev; fixes
    uninstallability. (Closes: #394614)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 22 Oct 2006 12:02:09 +0200

libapreq2 (2.08-2) unstable; urgency=low

  * Rebuild against Apache 2.2.
    * Build-depend on libapache2-mod-perl2 (>= 2.0.2-2.1), to make sure we
      get an Apache 2.2-capable mod_perl.
    * Depend on apache2.2-common instead of apache2-common.
    * Build-depend on libapr1-dev instead of libapr0-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 10 Oct 2006 02:12:06 +0200

libapreq2 (2.08-1) unstable; urgency=low

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 12 Sep 2006 22:45:24 +0200

libapreq2 (2.07-1) unstable; urgency=medium

  * New upstream version.
    * [CVE-2006-0042] Fixes a possible remote DoS due to quadratic behaviour
      in apreq_parse_{headers,urlencoded}.
  * Removed INSTALLDIRS=vendor from Makefile.PL, it seems to choke on it
    now (and we've still got it in make install).
  * Include debhelper token in libapache2-mod-apreq2.postrm.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 25 Feb 2006 12:41:27 +0100

libapreq2 (2.06-dev-2) unstable; urgency=low

  * Hardcode $prefix in apreq2-config.in to /usr, so apreq2-config gives out
    more sensible values. (Closes: #323108)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 10 Oct 2005 18:53:46 +0200

libapreq2 (2.06-dev-1) unstable; urgency=low

  * New upstream version.
  * Remove the spurious “2” file in the diff.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 13 Aug 2005 13:22:11 +0200

libapreq2 (2.05-dev-6) unstable; urgency=low

  * Add a dependency from libapache2-request-perl to libapache2-mod-apreq2.
    (Closes: #319614)
  * Fix the short description of libapache2-mod-apreq2 to say that it's
    actually an Apache module.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  4 Aug 2005 02:10:38 +0200

libapreq2 (2.05-dev-5) unstable; urgency=low

  * Make libapreq2-dev depend on libapr0-dev. (Closes: #317301)
  * Disable module on uninstall, if it is enabled. (Closes: #301685)
  * Split out libapache2-mod-apreq2 into a separate package.
    (Closes: #315971)
  * Add a Replaces: on libapache2-mod-apreq2 to all the packages that
    were split out in 2.05-dev-3, to be able to do upgrades correctly.
  * Update Standards-Version to 3.6.2 (no changes needed).
  * Drop the shlibs file, and generate it using dh_makeshlibs and
    dh_shlibdeps instead.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 16 Jul 2005 23:31:22 +0200

libapreq2 (2.05-dev-4) unstable; urgency=low

  * Change ${Version} (which is a syntax error) in debian/control to
    ${Source-Version}, which makes the Depends: lines be generated again.
    (Closes: #314859)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 19 Jun 2005 13:03:22 +0200

libapreq2 (2.05-dev-3) unstable; urgency=low

  * Changed source package name, since we aren't a Perl-only package.

