=== debian/control ===
Source: libapreq2
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7), apache2-threaded-dev (>= 2.0.50-10) | apache2-prefork-dev (>= 2.0.50-10), libapr1-dev, libextutils-xsbuilder-perl, perl (>= 5.8.0-7), libapache2-mod-perl2 (>= 2.0.2-2.1), libapache2-mod-perl2-dev
Maintainer: Steinar H. Gunderson <sesse@debian.org>
Standards-Version: 3.8.4

Package: libapache2-mod-apreq2
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libapreq2 (=${binary:Version}), apache2.2-common
Replaces: libapreq2 (<< 2.05-dev-5), libapache2-request-perl (<< 2.05-dev-3)
Description: generic Apache request library - Apache module
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the Apache module itself.

Package: libapreq2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libapache2-mod-apreq2
Replaces: libapache2-request-perl (<< 2.05-dev-3)
Description: generic Apache request library
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the main library.

Package: libapreq2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libapreq2 (=${binary:Version}), libapr1-dev
Recommends: libapreq2-doc (=${binary:Version})
Replaces: libapache2-request-perl (<< 2.05-dev-3)
Description: generic Apache request library - development files
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the development library and C headers required for
 compiling programs against the library.

Package: libapreq2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libapreq2-dev (=${binary:Version})
Description: generic Apache request library - documentation
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the programming documentation for the library.

Package: libapache2-request-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, libapache2-mod-perl2 (>= 1.99.23-1), libapreq2 (=${binary:Version}), libapache2-mod-apreq2 (=${binary:Version})
Description: generic Apache request library - Perl modules
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the Perl bindings, which are simply a thin XS layer on
 top of libapreq, making them a lighter and faster alternative to CGI.pm and
 CGI::Cookie.
