## libapreq2 2.13

=== debian/changelog ===
libapreq2 (2.13-3ubuntu2) trusty; urgency=low

  * Work around build strangeness on ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 31 Jan 2014 15:57:21 -0500

libapreq2 (2.13-3ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches, resolving FTBFS.
    - Add missing autoconf macro directory.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 31 Jan 2014 15:08:45 -0500

libapreq2 (2.13-3) unstable; urgency=high

  * urgency=high, fixes an RC bug.
  * Convert libapreq2-3 to multiarch; fixes an FTBFS as libtool
    would sometimes want to relink mod_apreq2.so under make install, and only
    looked in the multiarch directory when it did. (Closes: #729648)
    * 04-pass-libdir-to-configure.patch: New patch, pass --libdir from
      Makefile.PL to configure.
    * In debian/rules, give the correct multiarch --libdir to Makefile.PL.
    * Adjust the paths in libapreq2-3.install and libapreq2-dev.install
      so that they are correct for multiarch.
  * Delete unused patch 04-foo.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 15 Nov 2013 23:17:57 +0100

libapreq2 (2.13-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Version libapreq2-3's Conflicts/Replaces on libapreq2 as << 2.13-2~
    (closes: #717026).

 -- Julien Cristau <jcristau@debian.org>  Tue, 30 Jul 2013 15:53:13 +0200

libapreq2 (2.13-2) unstable; urgency=low

  * Build against Apache 2.4. (Closes: #666802)
    * Build-depend on apache2-dev instead of apache2-prefork-dev. 
    * Depend on apache2-api-20120211 instead of apache2.2-common.
    * Use dh_apache2 for handling of maintainer scripts and .load files
      instead of calling a2dismod ourselves.
      * Add a build-dependency on the virtual package dh_apache2.
  * Fix some Lintian issues.
    * Rename apreq.load to apreq2.load.
    * Create a dummy build-indep target.
    * Switch to build flags from dpkg-buildflags (many smaller hacks needed
      to make them propagate correctly throughout the build system),
      to get the hardening flags right.
      * Add versioned dependency on dpkg-dev to get the buildflags.mk file.
    * Rename libapreq2 to libapreq2-3.
      * Add appropriate Conflicts/Replaces on the old libapreq2 package
        for a smooth transition.
      * Update internal dependencies.
    * Bump Standards-Version to 3.9.4.
    * Build mod_apreq2.so with no rpath, by hacking libtool after configure.
      For some reason, seemingly this was not reported properly by Lintian
      before.
  * Call dh_autotools-dev* at the right points to get updated config.sub
    and config.guess.
    * Build-depend on autotools-dev.
  * Make the shlibs file contain a versioned dependency. (Closes: #697683)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 15 Jul 2013 15:41:59 +0200

libapreq2 (2.13-1) unstable; urgency=low

  * New upstream release.
    * Properly links in libapr-1 when building binaries.
      (Closes: #615739)
  * Don't install .la files (remove from libapreq2-dev.install and
    libapache2-mod-apreq2.install); the one we installed was broken,
    and they're generally discouraged anyway.
    (Not reported in Debian, but LP: #651396, and fixes a Lintian error.)
  * Update to Standards-Version 3.9.1 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 28 Feb 2011 02:24:36 +0100
