=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libapreq2
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 7), apache2-threaded-dev (>= 2.0.50-10) | apache2-prefork-dev (>= 2.0.50-10), libapr1-dev, libextutils-xsbuilder-perl, perl (>= 5.8.0-7), libapache2-mod-perl2 (>= 2.0.2-2.1), libapache2-mod-perl2-dev
-Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), apache2-dev (>= 2.0.50-10), dh-apache2, libapr1-dev, libextutils-xsbuilder-perl, perl (>= 5.8.0-7), libapache2-mod-perl2 (>= 2.0.2-2.1), libapache2-mod-perl2-dev, dpkg-dev (>= 1.16.1~), dh-autoreconf
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
+Standards-Version: 3.9.4
 
 Package: libapache2-mod-apreq2
 Section: web
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libapreq2 (=${binary:Version}), apache2.2-common
+Depends: ${shlibs:Depends}, ${misc:Depends}, libapreq2-3 (=${binary:Version}), apache2-api-20120211
 Replaces: libapreq2 (<< 2.05-dev-5), libapache2-request-perl (<< 2.05-dev-3)
 Description: generic Apache request library - Apache module
  The generic Apache request library (APR) contains modules for manipulating
@@ -21,12 +22,13 @@
  .
  This package contains the Apache module itself.
 
-Package: libapreq2
+Package: libapreq2-3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libapache2-mod-apreq2
-Replaces: libapache2-request-perl (<< 2.05-dev-3)
+Replaces: libapache2-request-perl (<< 2.05-dev-3), libapreq2 (<< 2.13-2~)
+Conflicts: libapreq2 (<< 2.13-2~)
 Description: generic Apache request library
  The generic Apache request library (APR) contains modules for manipulating
  client request data with the Apache API from Perl and C. Functionality
@@ -41,7 +43,7 @@
 Package: libapreq2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libapreq2 (=${binary:Version}), libapr1-dev
+Depends: ${misc:Depends}, libapreq2-3 (=${binary:Version}), libapr1-dev
 Recommends: libapreq2-doc (=${binary:Version})
 Replaces: libapache2-request-perl (<< 2.05-dev-3)
 Description: generic Apache request library - development files
@@ -75,7 +77,7 @@
 Package: libapache2-request-perl
 Section: perl
 Architecture: any
-Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, libapache2-mod-perl2 (>= 1.99.23-1), libapreq2 (=${binary:Version}), libapache2-mod-apreq2 (=${binary:Version})
+Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, libapache2-mod-perl2 (>= 1.99.23-1), libapreq2-3 (=${binary:Version}), libapache2-mod-apreq2 (=${binary:Version})
 Description: generic Apache request library - Perl modules
  The generic Apache request library (APR) contains modules for manipulating
  client request data with the Apache API from Perl and C. Functionality
