## libapreq2 2.17

=== debian/changelog ===
libapreq2 (2.17-8) unstable; urgency=medium

  * QA upload.
  * Add perl-xs-dev to build dependencies.
    (closes: #1102788)
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Nov 2025 18:39:24 +0100

libapreq2 (2.17-7) unstable; urgency=medium

  * QA upload

  * patch type mismatch on 32-bit platforms

 -- Damyan Ivanov <dmn@debian.org>  Fri, 27 Sep 2024 06:26:21 +0000

libapreq2 (2.17-6) unstable; urgency=medium

  * QA upload

  * apply patch from upstream SVN fixing multipart form parsing when empty
    'name' or 'filename' attributes are present

 -- Damyan Ivanov <dmn@debian.org>  Thu, 26 Sep 2024 13:17:18 +0000

libapreq2 (2.17-5) unstable; urgency=medium

  * QA upload

  [ Bas Couwenberg ]
  * Allow reprepro to fail.
  * Allow reprotest to fail.

  [ Sebastian Ramacher ]
  * debian/control: Add missing dpkg-dev build dependency for time_t transition

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Mar 2024 11:39:27 +0100

libapreq2 (2.17-4) unstable; urgency=medium

  * QA upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 14:35:12 +0100

libapreq2 (2.17-4~exp1) experimental; urgency=medium

  * QA upload.
  * Mention Perl module names in package description.
    (closes: #850955)
  * Use symbols file instead of dh_makeshlibs -V.
  * Drop unused .exclude files.
  * Drop obsolete dh_shlibdeps override.
  * Remove generated files in clean target.
    (closes: #1046634)
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 18:17:37 +0100

libapreq2 (2.17-3.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 19:44:52 +0000

libapreq2 (2.17-3) unstable; urgency=medium

  * QA upload.
  * Override dh_auto_test to ignore test failures.
  * Add salsa-ci.yml, allow blhc to fail.
  * Ensure directory exists before doc files installation.
  * Strip trailing whitespace from changelog.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 18:37:44 +0200

libapreq2 (2.17-2) unstable; urgency=medium

  * QA upload.
  * Update gbp.conf to not sign tags and use --source-only-changes by default.
  * Use copyright format 1.0.
  * Use dh sequencer.
  * Sort (build) dependencies.
  * Drop obsolete Breaks/Replaces.
  * Bump debhelper compat to 13.
  * Use chrpath to strip RPATH instead of hacking configure.
  * Update lintian overrides.
  * Don't duplicate section in binary package.
  * Refresh patches.
  * Add Rules-Requires-Root to control file.
  * Add doc-base registration.
  * Add patch to fix spelling errors.
  * Bump Standards-Version to 4.6.2, no changes.
  * Override dh_strip to also strip mod_apreq2.a.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Jun 2023 18:27:05 +0200

libapreq2 (2.17-1) unstable; urgency=medium

  * QA upload.
  * Orphaning package as per maintainer request. Thanks to Steinar
    for their past work on the package!
  * Add VCS-* pointing to salsa.debian.org
  * New upstream release, fixes CVE-2022-22728, Closes: #1018191.
  * drop 05-nested-multipart-null-dereference.patch
    and annotate d/changelog for 2.13-6 with the CVE it fixes.
  * Add watch file, Closes: #1027314.
  * Add homepage field to d/control. Closes: #1027316.

 -- Tobias Frost <tobi@debian.org>  Fri, 30 Dec 2022 13:17:29 +0100

libapreq2 (2.13-7) unstable; urgency=high

  * Source-only upload.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 18 Sep 2019 09:12:54 +0200

libapreq2 (2.13-6) unstable; urgency=high

  * 05-nested-multipart-null-dereference.patch: New patch by
    Max Kellermann, fixes a NULL pointer dereference bug with nested
    multipart form submission. (Closes: #939937). This fixes CVE-2019-12412.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 15 Sep 2019 18:26:40 +0200

libapreq2 (2.13-5) unstable; urgency=medium

  * Make the binary-indep target actually build the -doc package, instead
    of doing it as part of binary-arch as before. (Closes: #805946)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 15 Jul 2016 11:06:34 +0200

libapreq2 (2.13-4) unstable; urgency=medium

  * Use $Config{vendorarch} instead of hard-coding /usr/lib/perl5
    in the .install file. (Closes: #754996)
    * Upgrade to debhelper compat v9. Bump versioned Build-Depends.
    * Make libapache2-request-perl.install into an executable Perl script,
      and make it output the right path runtime.
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 17 Jul 2014 14:04:23 +0200
