=== debian/control ===
Source: libapreq2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: perl
Priority: optional
Build-Depends: apache2-dev,
               chrpath,
               debhelper-compat (= 13),
               dh-apache2,
               dpkg-dev (>= 1.22.5),
               libapr1-dev,
               libextutils-xsbuilder-perl,
               libapache2-mod-perl2-dev,
               perl-xs-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/libapreq2
Vcs-Git: https://salsa.debian.org/debian/libapreq2.git
Homepage: https://httpd.apache.org/apreq/
Rules-Requires-Root: binary-targets

Package: libapache2-mod-apreq2
Architecture: any
Section: httpd
Depends: libapreq2-3t64 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: generic Apache request library - Apache module
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the Apache module itself.

Package: libapreq2-3t64
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libapache2-mod-apreq2
Provides: ${t64:Provides}
Breaks: libapreq2-3 (<< ${source:Version})
Replaces: libapreq2-3
Description: generic Apache request library
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the main library.

Package: libapreq2-dev
Architecture: any
Section: libdevel
Depends: libapreq2-3t64 (= ${binary:Version}),
         libapr1-dev,
         ${misc:Depends}
Recommends: libapreq2-doc
Description: generic Apache request library - development files
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the development library and C headers required for
 compiling programs against the library.

Package: libapreq2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libapreq2-dev
Description: generic Apache request library - documentation
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the programming documentation for the library.

Package: libapache2-request-perl
Architecture: any
Depends: libapreq2-3t64 (= ${binary:Version}),
         libapache2-mod-apreq2 (= ${binary:Version}),
         libapache2-mod-perl2,
         ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: generic Apache request library - Perl modules
 The generic Apache request library (APR) contains modules for manipulating
 client request data with the Apache API from Perl and C. Functionality
 includes:
 .
  - parsing of application/x-www-form-urlencoded data
  - parsing of multipart/form-data
  - parsing of HTTP Cookies
 .
 This package contains the Perl bindings, which are simply a thin XS layer on
 top of libapreq, making them a lighter and faster alternative to CGI.pm and
 CGI::Cookie.
 .
 Apache2::Request provides methods for parsing GET and POST parameters.
 Apache2::Cookie provides a CGI::Cookie like API for cookie objects.
 Apache2::Cookie::Jar collects Apache2::Cookie objects into a lookup table.
 Apache2::Upload adds the upload method to Apache2::Request.
